PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List forms GETCreate a form POSTGenerate a form definition POSTGet a form GETUpdate a form PATCHDelete a form DELETEList submissions for a form GETSubmit a form as a member POSTGet a form submission GETUpdate a form submission PATCHDelete a form submission DELETE
Forms

Delete a form

DELETE
/forms/{formId}

Authorization

x-api-key<token>

In: header

Path Parameters

formId*string

Response Body

application/json

curl -X DELETE "https://example.com/forms/string"
{  "data": {    "id": "string",    "workspaceId": "string",    "name": "string",    "slug": "string",    "publicSlug": "string",    "status": "DRAFT",    "description": "string",    "fields": {      "sections": [        {          "id": "string",          "title": "string",          "description": "string",          "fields": [            {              "id": "string",              "slug": "string",              "type": "string",              "label": "string",              "required": true,              "placeholder": "string",              "helperText": "string",              "options": [                {                  "value": "string",                  "label": "string",                  "reveals": {}                }              ],              "defaultValue": "string",              "description": "string"            }          ]        }      ]    },    "settings": {},    "showInCommunity": true,    "submissionCount": 0  }}

Update a form PATCH

Previous Page

List submissions for a form GET

Next Page